#
# spec file for package rubygem-builder
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-builder
Version:        3.3.0
Release:        1.3
%define mod_name builder
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/builder
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Builders for MarkUp
License:        MIT

%description
Builder provides a number of builder objects that make creating structured
data
simple to do.  Currently the following builder objects are supported:
* XML Markup
* XML Events.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- == Version 3.3.0 (2024-06-06)
  * Fix broken call to `File.exists?` in `tags.rake`.
  * Use BasicObject instead of BlankSlate for better compatibility with modern rubies.
  == Version 3.2.4 (2019-12-10)
  * Strings were frozen by adding `# frozen_string_literal: true` to all files
* Sat Dec 14 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.2.4
  * no changelog found
* Sat Jan 14 2017 coolo@suse.com
- updated to version 3.2.3
  see installed CHANGES
* Mon Nov 10 2014 tboerger@suse.com
- Added new ruby macros
- Removed symlink-binaries through gem2rpm conversion
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Thu Jun  6 2013 coolo@suse.com
- updated to version 3.2.2
* Fri May 31 2013 coolo@suse.com
- updated to version 3.2.1
  * Ruby 2.0 compatibility changes.
  * Allow single quoted attributes.
* Sun Mar  3 2013 coolo@suse.com
- updated to version 3.2.0
* Fri Oct 26 2012 coolo@suse.com
- updated to version 3.1.4
  * just a small test fix
* Mon Sep 10 2012 coolo@suse.com
- updated to version 3.1.3
  * suppress warning while undefining object_id
* Fri Sep  7 2012 coolo@suse.com
- updated to version 3.1.2
  * only changelog available:
  https://github.com/jimweirich/builder/commits/builder-3.1.2/
* Thu Sep  6 2012 coolo@suse.com
- update to 3.1 (no longer suffix)
  * Included the to_xs arity patch needed for weird Rails compatibility
    issue.
  * Escaping newlines in attributes now.
  * Allow method caching
  * Ruby 1.9 compatiblity issues.
* Mon Aug  6 2012 coolo@suse.com
- buildrequire rdoc
* Sat Jul 28 2012 coolo@suse.com
- update to latest gem2rpm
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Wed Dec 14 2011 jreidinger@suse.com
- decrease significantly size of package ( remove useless xctags
  file which has almsot 3MB)
* Mon Jun 20 2011 mrueckert@suse.de
- initial package for the 3.0 branch (3.0.0)
